Ship with return label

Overview

byrd can already add a return label to your shipments when sending them. This allows your customers to return items using a preprinted label. Some marketplaces require it (e.g. Otto, Zalando, Kaufland).

To request it, send create_return_label and print_return_label under options when creating or updating the shipment. Set print_return_label to false if you only need the label digitally, for example to upload it to a marketplace, and to true if it should also be printed and put in the parcel. Both fields have to be sent together.

"options": {
    "create_return_label": true,
    "print_return_label": false
}

If you are not sure returns are set up for your account, please reach out to your contact person in byrd.

📘

Return tracking infos available after release

The return label is created and the return tracking information is available after the shipment is successfully released to the warehouse.

🚧

Multiple documents possible

Please be aware that there can be multiple documents returned by this endpoint (e.g. The shipping label with tracking information which are used to track the actual shipment). You need to use the information provided by the document with type="return_label"!

Method access
      GET https://api.getbyrd.com/v3/shipments/<shipment_id>/documents
Request Headers
      Authorization: Bearer token-from >Authentication
      Content-Type: application/json
      User-Agent: your user-agent >How to call the APIs

Successful response example

{
    "data": [
      {
            "updated_at": "2023-10-17T18:59:46.523367+00:00",
            "print_copies": 1,
            "format": "label",
            "meta": {
                "carrierTrackingURL": "https://www.dhl.de/en/privatkunden/dhl-sendungsverfolgung.html?piececode=YYYYYY",
                "carrierTrackingNumber": "YYYYYY"
            },
            "unit_id": null,
            "id": "document-id",
            "created_at": "2023-10-17T18:59:46.523346+00:00",
            "data_type": "pdfb64",
            "type": "return_label",
            "internal": false,
            "name": "Return Label"
      },  
      {
            "updated_at": "2023-10-18T08:50:29.653335+00:00",
            "print_copies": 1,
            "format": "label",
            "meta": {
                "carrier_shipment_id": "carrier-shipment-id",
                "carrier_tracking_url": "https://www.dhl.de/en/privatkunden/dhl-sendungsverfolgung.html?piececode=XXXXXX",
                "carrier_tracking_number": "XXXXXXX"
            },
            "unit_id": "unit-id",
            "id": "document-id",
            "created_at": "2023-10-18T08:50:29.653321+00:00",
            "data_type": "pdfb64",
            "type": "shipping_label",
            "internal": true,
            "name": "Shipping Label"
      }
    ]
}